# Function sendCustomProxyMessage

- sendCustomProxyMessage<T>(request, params): Promise<T>

- Sends a custom proxy message in proxyMode and waits for a matching reply.

  #### Type Parameters

  - T = any

  #### Parameters

  - request: string

    The request type string

  - params: any

    The parameters object

  #### Returns Promise<T>

  The data from the proxy response

  - Defined in http.ts:346